package com.ss.android.ugc.aweme.effectplatform;

import X.0CB;
import X.0CH;
import X.0CN;
import X.542;
import X.6Is;
import X.6kJ;
import X.73C;
import X.C0696Mdn;
import X.C1023Mj4;
import X.C1051MjW;
import X.C1384Mot;
import X.C1385Mou;
import X.C1410MpJ;
import X.C1411MpK;
import X.C1416MpP;
import X.C4932OBz;
import X.FWb;
import X.M12;
import X.OC1;
import X.OC4;
import X.ODK;
import X.Q60;
import X.Q6H;
import X.Q6U;
import X.Q6y;
import X.Q7K;
import X.Q7P;
import X.Q7W;
import X.Q7a;
import X.Q8W;
import android.text.TextUtils;
import com.bytedance.covode.number.Covode;
import com.ss.android.common.applog.AppLog;
import com.ss.android.ugc.aweme.editSticker.model.StickerItemModel;
import com.ss.android.ugc.aweme.effect.EffectPointModel;
import com.ss.android.ugc.effectmanager.DownloadableModelSupport;
import com.ss.android.ugc.effectmanager.EffectConfiguration;
import com.ss.android.ugc.effectmanager.EffectManager;
import com.ss.android.ugc.effectmanager.common.task.ExceptionResult;
import com.ss.android.ugc.effectmanager.effect.listener.ICheckChannelListener;
import com.ss.android.ugc.effectmanager.effect.listener.IDownloadProviderEffectListener;
import com.ss.android.ugc.effectmanager.effect.listener.IFetchCategoryEffectListener;
import com.ss.android.ugc.effectmanager.effect.listener.IFetchEffectChannelListener;
import com.ss.android.ugc.effectmanager.effect.listener.IFetchEffectListByIdsListener;
import com.ss.android.ugc.effectmanager.effect.listener.IFetchEffectListListener;
import com.ss.android.ugc.effectmanager.effect.listener.IFetchEffectListener;
import com.ss.android.ugc.effectmanager.effect.listener.IFetchFavoriteList;
import com.ss.android.ugc.effectmanager.effect.listener.IFetchPanelInfoListener;
import com.ss.android.ugc.effectmanager.effect.listener.IFetchProviderEffect;
import com.ss.android.ugc.effectmanager.effect.listener.IIsTagNeedUpdatedListener;
import com.ss.android.ugc.effectmanager.effect.listener.IModFavoriteList;
import com.ss.android.ugc.effectmanager.effect.listener.ISearchEffectListenerV2;
import com.ss.android.ugc.effectmanager.effect.listener.IUpdateTagListener;
import com.ss.android.ugc.effectmanager.effect.model.Effect;
import com.ss.android.ugc.effectmanager.effect.model.ProviderEffect;
import com.ss.android.ugc.effectmanager.knadapt.ListenerAdaptExtKt;
import com.ss.ugc.effectplatform.model.ProviderEffectModel;
import com.ss.ugc.effectplatform.model.net.InfoStickerEffect;
import com.ss.ugc.effectplatform.model.net.InfoStickerListResponse;
import com.ss.ugc.effectplatform.model.net.RecommendSearchWordsResponse;
import java.io.File;
import java.util.ArrayList;
import java.util.HashSet;
import java.util.List;
import java.util.Map;

public class EffectPlatform implements 6Is, C1384Mot {
    public static final File LIZ = new File(FWb.LIZIZ.LIZ().LJIIIIZZ().LIZLLL().LJIIIZ(""));
    public static final File LIZIZ = new File(FWb.LIZIZ.LIZ().LJIIIIZZ().LIZLLL().LJIIIIZZ(""));
    public static ArrayList<String> LIZJ;
    public static ArrayList<String> LJI;
    public C4932OBz LJ;
    public EffectConfiguration LJFF;

    public static String LIZ() {
        return "1233";
    }

    public final void LIZ(OC4<RecommendSearchWordsResponse> oc4) {
    }

    public final void LIZ(InfoStickerEffect infoStickerEffect, C1023Mj4 mj4) {
    }

    public final void LIZ(String str, String str2, int i, int i2, Map<String, String> map, ISearchEffectListenerV2 iSearchEffectListenerV2) {
    }

    public final void LIZ(String str, String str2, String str3, Integer num, Integer num2, OC4<InfoStickerListResponse> oc4) {
    }

    public void onStateChanged(0CH r2, 0CB r3) {
        if (r3 == 0CB.ON_DESTROY) {
            destroy();
        }
    }

    public final void LIZ(String str, boolean z, String str2, int i, int i2, IFetchPanelInfoListener iFetchPanelInfoListener) {
        C4932OBz oBz = this.LJ;
        if (!oBz.LIZ) {
            iFetchPanelInfoListener.onFail(oBz.LIZ());
            return;
        }
        String str3 = str;
        C1411MpK LIZ2 = C1411MpK.LIZ(str3, iFetchPanelInfoListener);
        LIZ2.LIZ = oBz.LIZJ;
        oBz.LIZ(str3, (ICheckChannelListener) new OC1(oBz, str3, z, str2, i, i2, LIZ2));
    }

    public final void LIZ(String str, boolean z, IFetchEffectChannelListener iFetchEffectChannelListener) {
        LJI();
        C4932OBz oBz = this.LJ;
        if (!oBz.LIZ) {
            iFetchEffectChannelListener.onFail(oBz.LIZ());
            return;
        }
        ODK odk = new ODK(oBz, str, z, iFetchEffectChannelListener);
        if (!oBz.LIZ) {
            odk.checkChannelFailed(oBz.LIZ());
        } else {
            oBz.LIZIZ.checkedEffectListUpdate(str, (Map) null, oBz.LIZ(odk));
        }
    }

    public final void LIZ(String str, String str2, boolean z, int i, int i2, int i3, String str3, IFetchCategoryEffectListener iFetchCategoryEffectListener) {
        C4932OBz oBz = this.LJ;
        IFetchCategoryEffectListener iFetchCategoryEffectListener2 = iFetchCategoryEffectListener;
        if (!oBz.LIZ) {
            iFetchCategoryEffectListener2.onFail(oBz.LIZ());
            return;
        }
        int i4 = i2;
        String str4 = str;
        int i5 = i;
        C1410MpJ LIZ2 = C1410MpJ.LIZ(str4, i5, i4, iFetchCategoryEffectListener2);
        LIZ2.LIZ = oBz.LIZJ;
        oBz.LIZ(str4, str2, i5, i4, i3, str3, z, LIZ2);
    }

    public final void LIZ(String str, String str2, boolean z, int i, int i2, IFetchProviderEffect iFetchProviderEffect) {
        LJI();
        C4932OBz oBz = this.LJ;
        IFetchProviderEffect iFetchProviderEffect2 = iFetchProviderEffect;
        if (!oBz.LIZ) {
            iFetchProviderEffect2.onFail(oBz.LIZ());
            return;
        }
        oBz.LIZIZ.fetchProviderEffect(str, z, i, i2, str2, iFetchProviderEffect2);
    }

    public final void LIZ(String str, String str2, Map<String, String> map, boolean z, C1385Mou mou) {
        LJI();
        C4932OBz oBz = this.LJ;
        C1385Mou mou2 = mou;
        if (!oBz.LIZ) {
            Q60 q60 = new Q60(new RuntimeException());
            q60.LIZ = -1;
            q60.LIZIZ = "effect sdk manager init failed";
            mou2.LIZ(q60);
            return;
        }
        oBz.LIZIZ.fetchProviderEffectsByGiphyIds(str, str2, map, z, mou2);
    }

    public final void LIZ(String str, Map<String, String> map, IFetchEffectListener iFetchEffectListener) {
        LJI();
        C4932OBz oBz = this.LJ;
        if (!oBz.LIZ) {
            iFetchEffectListener.onFail((Effect) null, oBz.LIZ());
        } else {
            oBz.LIZIZ.fetchEffectWithDownload(str, map, iFetchEffectListener);
        }
    }

    public final void LIZ(List<String> list, Map<String, String> map, boolean z, IFetchEffectListListener iFetchEffectListListener) {
        LJI();
        C4932OBz oBz = this.LJ;
        if (!oBz.LIZ) {
            iFetchEffectListListener.onFail(oBz.LIZ());
        } else {
            oBz.LIZIZ.fetchEffectList(list, z, map, iFetchEffectListListener);
        }
    }

    public final void LIZ(List<String> list, Map<String, String> map, IFetchEffectListByIdsListener iFetchEffectListByIdsListener) {
        LJI();
        C4932OBz oBz = this.LJ;
        if (!oBz.LIZ) {
            iFetchEffectListByIdsListener.onFail(oBz.LIZ());
        } else {
            oBz.LIZIZ.fetchEffectList2(list, map, iFetchEffectListByIdsListener);
        }
    }

    public final void LIZ(String str, String str2, IUpdateTagListener iUpdateTagListener) {
        C4932OBz oBz = this.LJ;
        if (str != null && str2 != null) {
            if (!oBz.LIZ) {
                iUpdateTagListener.onFinally();
            } else {
                oBz.LIZIZ.updateTag(str, str2, iUpdateTagListener);
            }
        }
    }

    public final void LIZ(String str, List<String> list, String str2, IIsTagNeedUpdatedListener iIsTagNeedUpdatedListener) {
        C4932OBz oBz = this.LJ;
        if (str != null && !542.LIZ(list)) {
            if (!oBz.LIZ) {
                iIsTagNeedUpdatedListener.onTagNeedNotUpdate();
            } else {
                oBz.LIZIZ.isTagUpdated(str, str2, iIsTagNeedUpdatedListener);
            }
        }
    }

    public final void LIZ(String str, List<String> list, boolean z, IModFavoriteList iModFavoriteList) {
        C4932OBz oBz = this.LJ;
        Boolean valueOf = Boolean.valueOf(z);
        if (!oBz.LIZ) {
            iModFavoriteList.onFail(oBz.LIZ());
        } else {
            oBz.LIZIZ.modifyFavoriteList(str, list, valueOf, iModFavoriteList);
        }
    }

    public final void LIZ(String str, IFetchFavoriteList iFetchFavoriteList) {
        C4932OBz oBz = this.LJ;
        if (!oBz.LIZ) {
            iFetchFavoriteList.onFailed(oBz.LIZ());
        } else {
            oBz.LIZIZ.fetchFavoriteList(str, iFetchFavoriteList);
        }
    }

    public final boolean LIZ(Effect effect) {
        C4932OBz oBz = this.LJ;
        if (effect == null || oBz.LIZIZ == null) {
            return false;
        }
        return DownloadableModelSupport.getInstance().isEffectReady(oBz.LIZIZ, effect);
    }

    public final void LIZ(String str, boolean z, boolean z2, IFetchEffectChannelListener iFetchEffectChannelListener) {
        if (z) {
            LIZ(str, iFetchEffectChannelListener);
            return;
        }
        LJI();
        this.LJ.LIZ(str, z2, iFetchEffectChannelListener);
    }

    public final void LIZ(String str, boolean z, String str2, int i, int i2, boolean z2, IFetchPanelInfoListener iFetchPanelInfoListener) {
        boolean z3 = z;
        String str3 = str;
        String str4 = str2;
        int i3 = i;
        IFetchPanelInfoListener iFetchPanelInfoListener2 = iFetchPanelInfoListener;
        int i4 = i2;
        if (z2) {
            this.LJ.LIZ(str3, z3, str4, i3, i4, iFetchPanelInfoListener2);
        } else {
            this.LJ.LIZIZ(str3, z3, str4, i3, i4, iFetchPanelInfoListener2);
        }
    }

    public final void LIZ(String str, String str2, int i, int i2, int i3, String str3, boolean z, IFetchCategoryEffectListener iFetchCategoryEffectListener) {
        String str4 = str;
        String str5 = str2;
        int i4 = i;
        int i5 = i2;
        this.LJ.LIZ(str4, str5, i4, i5, i3, str3, z, iFetchCategoryEffectListener);
    }

    public final void LIZ(Map<String, Object> map) {
        this.LJ.LIZJ = map;
    }

    public final void LIZ(String str, String str2, String str3, String str4, int i, int i2, Map<String, String> map, ISearchEffectListenerV2 iSearchEffectListenerV2) {
        LJI();
        C4932OBz oBz = this.LJ;
        OC4 kNListener = ListenerAdaptExtKt.toKNListener(iSearchEffectListenerV2);
        if (oBz.LIZ) {
            Q6H effectPlatform = oBz.LIZIZ.getEffectPlatform();
            String str5 = str2;
            String str6 = str;
            String str7 = str4;
            M12.LIZ(str6, str5, str7);
            effectPlatform.LIZ().LIZ(str5, str7, i, i2, map, kNListener, str6);
        }
    }

    public final void LIZ(String str, String str2, int i, int i2, int i3, String str3, String str4, Map<String, String> map, OC4<ProviderEffectModel> oc4) {
        if (this.LJ.LIZIZ != null) {
            Q6H effectPlatform = this.LJ.LIZIZ.getEffectPlatform();
            String str5 = str;
            M12.LIZ(str5);
            Q7a LIZIZ2 = effectPlatform.LIZIZ();
            M12.LIZ(str5);
            String LIZ2 = Q8W.LIZ.LIZ();
            OC4<ProviderEffectModel> oc42 = oc4;
            if (oc42 != null) {
                LIZIZ2.LIZ.LJJIJL.LIZ(LIZ2, oc42);
            }
            Q6y q6y = LIZIZ2.LIZ.LJJIFFI;
            if (q6y != null) {
                int i4 = i3;
                q6y.LIZ(new Q7P(LIZIZ2.LIZ, LIZ2, str3, str5, i4, i2, i, map));
            }
        }
    }

    public final void LIZ(String str, String str2, boolean z, C1051MjW mjW) {
        if (this.LJ.LIZIZ != null) {
            Q6H effectPlatform = this.LJ.LIZIZ.getEffectPlatform();
            String str3 = str;
            M12.LIZ(str3);
            Q6U LIZ2 = effectPlatform.LIZ();
            M12.LIZ(str3);
            String LIZ3 = Q8W.LIZ.LIZ();
            if (mjW != null) {
                LIZ2.LIZ.LJJIJL.LIZ(LIZ3, mjW);
            }
            Q7W q7w = new Q7W(LIZ2.LIZ, LIZ3, str2, str3, z, (byte) 0);
            Q6y q6y = LIZ2.LIZ.LJJIFFI;
            if (q6y != null) {
                q6y.LIZ(q7w);
            }
        }
    }

    public final void LIZ(String str, String str2, String str3, int i, int i2, IFetchProviderEffect iFetchProviderEffect, boolean z) {
        LJI();
        C4932OBz oBz = this.LJ;
        IFetchProviderEffect iFetchProviderEffect2 = iFetchProviderEffect;
        if (FWb.LIZIZ.LIZ().LJJIIJ() != null && FWb.LIZIZ.LIZ().LJJIIJ().LIZ()) {
            iFetchProviderEffect2.onFail(oBz.LIZ());
        } else if (!oBz.LIZ) {
            iFetchProviderEffect2.onFail(oBz.LIZ());
        } else {
            oBz.LIZIZ.searchProviderEffect(str, str2, i, i2, false, str3, iFetchProviderEffect2);
        }
    }

    public final void LIZ(String str, String str2, int i, ICheckChannelListener iCheckChannelListener, Map<String, String> map) {
        if (i == C0696Mdn.LIZJ) {
            this.LJ.LIZ(str, iCheckChannelListener);
        } else if (i == C0696Mdn.LIZIZ) {
            C4932OBz oBz = this.LJ;
            if (!oBz.LIZ) {
                iCheckChannelListener.checkChannelFailed(oBz.LIZ());
            } else {
                oBz.LIZIZ.checkCategoryIsUpdate(str, str2, (Map) null, oBz.LIZ(iCheckChannelListener));
            }
        } else {
            LJI();
            C4932OBz oBz2 = this.LJ;
            if (!oBz2.LIZ) {
                iCheckChannelListener.checkChannelFailed(oBz2.LIZ());
            } else if (map != null) {
                throw new NullPointerException("putAll");
            } else {
                oBz2.LIZIZ.checkedEffectListUpdate(str, (Map) null, oBz2.LIZ(iCheckChannelListener));
            }
        }
    }

    public final EffectManager LIZJ() {
        return this.LJ.LIZIZ;
    }

    public final void LIZLLL() {
        C4932OBz oBz = this.LJ;
        if (oBz.LIZ) {
            oBz.LIZIZ.removeListener();
        }
    }

    public static String LIZIZ() {
        String LJIIJ = FWb.LIZIZ.LIZ().LJJI().LJIIJ();
        FWb.LIZIZ.LIZ().LJJI();
        return LJIIJ;
    }

    public static ArrayList<String> LJ() {
        ArrayList<String> arrayList = LJI;
        if (arrayList != null) {
            return arrayList;
        }
        LJFF();
        ArrayList<String> arrayList2 = LJI;
        if (arrayList2 != null) {
            return arrayList2;
        }
        return new ArrayList<>();
    }

    @0CN(LIZ = 0CB.ON_DESTROY)
    public void destroy() {
        C4932OBz oBz = this.LJ;
        if (oBz.LIZIZ != null) {
            oBz.LIZIZ.destroy();
            oBz.LIZIZ = null;
        }
        oBz.LIZ = false;
    }

    static {
        Covode.recordClassIndex(74091);
    }

    private void LJI() {
        EffectConfiguration effectConfiguration = this.LJFF;
        if (effectConfiguration != null) {
            String str = "0";
            if (TextUtils.isEmpty(effectConfiguration.getDeviceId()) || TextUtils.equals(str, this.LJFF.getDeviceId())) {
                EffectConfiguration effectConfiguration2 = this.LJFF;
                if (AppLog.getServerDeviceId() != null) {
                    str = AppLog.getServerDeviceId();
                }
                effectConfiguration2.setDeviceId(str);
            }
        }
    }

    public static ArrayList<String> LJFF() {
        List<6kJ> list;
        String str;
        String str2;
        ArrayList arrayList = new ArrayList();
        ArrayList arrayList2 = new ArrayList();
        try {
            list = FWb.LIZIZ.LIZ().LIZJ().LIZIZ().LIZ(new 73C());
        } catch (Exception unused) {
            list = null;
        }
        if (list == null) {
            return new ArrayList<>();
        }
        for (6kJ r1 : list) {
            String str3 = "";
            if (!(r1.LJIIIIZZ() == null || r1.LJIIIIZZ().stickers == null)) {
                for (StickerItemModel stickerItemModel : r1.LJIIIIZZ().stickers) {
                    if (TextUtils.isEmpty(stickerItemModel.path)) {
                        C1416MpP LJJIJLIJ = FWb.LIZIZ.LIZ().LJJIJLIJ();
                        StringBuilder sb = new StringBuilder("InfoStickers_resdir_null:");
                        if (stickerItemModel.stickerId != null) {
                            str2 = stickerItemModel.stickerId;
                        } else {
                            str2 = str3;
                        }
                        sb.append(str2);
                        LJJIJLIJ.LIZIZ(sb.toString());
                    } else {
                        arrayList.add(stickerItemModel.path.substring(stickerItemModel.path.lastIndexOf(File.separator) + 1));
                    }
                }
            }
            for (EffectPointModel effectPointModel : r1.LIZIZ()) {
                if (TextUtils.isEmpty(effectPointModel.getResDir())) {
                    C1416MpP LJJIJLIJ2 = FWb.LIZIZ.LIZ().LJJIJLIJ();
                    StringBuilder sb2 = new StringBuilder("EffectListModel_resdir_null:");
                    if (effectPointModel.getKey() != null) {
                        str = effectPointModel.getKey();
                    } else {
                        str = str3;
                    }
                    sb2.append(str);
                    LJJIJLIJ2.LIZIZ(sb2.toString());
                } else {
                    arrayList.add(effectPointModel.getResDir().substring(effectPointModel.getResDir().lastIndexOf(File.separator) + 1));
                }
            }
            if (r1.LJIJ() != null) {
                String str4 = r1.LJIJ().LIZLLL;
                if (TextUtils.isEmpty(str4)) {
                    C1416MpP LJJIJLIJ3 = FWb.LIZIZ.LIZ().LJJIJLIJ();
                    StringBuilder sb3 = new StringBuilder("EffectListModel_resdir_null:");
                    if (str4 != null) {
                        str3 = str4;
                    }
                    sb3.append(str3);
                    LJJIJLIJ3.LIZIZ(sb3.toString());
                } else {
                    arrayList.add(str4.substring(str4.lastIndexOf(File.separator) + 1));
                }
            }
            if (r1.LJIIIIZZ != null) {
                arrayList2.add(r1.LJIIIIZZ);
            }
        }
        LJI = new ArrayList<>(new HashSet(arrayList));
        LIZJ = new ArrayList<>(new HashSet(arrayList2));
        return LJI;
    }

    public final void LIZ(0CH r2) {
        r2.getLifecycle().LIZ(this);
    }

    public final void LIZIZ(Map<String, String> map) {
        C4932OBz oBz = this.LJ;
        if (!map.isEmpty()) {
            oBz.LIZLLL.putAll(map);
        }
    }

    public final boolean LIZJ(Effect effect) {
        return LIZ(effect);
    }

    public EffectPlatform(EffectConfiguration effectConfiguration) {
        this.LJFF = effectConfiguration;
        C4932OBz oBz = new C4932OBz();
        this.LJ = oBz;
        oBz.LIZIZ = new EffectManager();
        oBz.LIZ = oBz.LIZIZ.init(effectConfiguration);
    }

    public final boolean LIZIZ(Effect effect) {
        return this.LJ.LIZIZ.isEffectDownloading(effect);
    }

    public final void LIZ(String str) {
        C4932OBz oBz = this.LJ;
        if (oBz != null && oBz.LIZ) {
            oBz.LIZIZ.clearCache(str);
        }
    }

    public final void LIZIZ(Effect effect, IFetchEffectListener iFetchEffectListener) {
        LIZ(effect, iFetchEffectListener);
    }

    public final void LIZ(ProviderEffect providerEffect, IDownloadProviderEffectListener iDownloadProviderEffectListener) {
        LJI();
        C4932OBz oBz = this.LJ;
        if (!oBz.LIZ) {
            iDownloadProviderEffectListener.onFail(providerEffect, oBz.LIZ());
        } else {
            oBz.LIZIZ.downloadProviderEffect(providerEffect, iDownloadProviderEffectListener);
        }
    }

    public final void LIZ(Effect effect, IFetchEffectListener iFetchEffectListener) {
        LJI();
        C4932OBz oBz = this.LJ;
        if (!oBz.LIZ) {
            iFetchEffectListener.onFail(effect, oBz.LIZ());
        } else if (effect == null) {
            ExceptionResult exceptionResult = new ExceptionResult(new RuntimeException());
            exceptionResult.setErrorCode(-1);
            exceptionResult.setMsg("effect is null.");
            iFetchEffectListener.onFail((Effect) null, exceptionResult);
        } else {
            oBz.LIZIZ.fetchEffect(effect, iFetchEffectListener);
        }
    }

    public final void LIZ(String str, IFetchEffectChannelListener iFetchEffectChannelListener) {
        LJI();
        this.LJ.LIZ(str, iFetchEffectChannelListener);
    }

    public final void LIZIZ(List<String> list, Map<String, String> map, IFetchEffectListByIdsListener iFetchEffectListByIdsListener) {
        C4932OBz oBz = this.LJ;
        if (oBz == null) {
            return;
        }
        if (!oBz.LIZ) {
            iFetchEffectListByIdsListener.onFail(oBz.LIZ());
        } else {
            oBz.LIZIZ.fetchEffectList(list, map, iFetchEffectListByIdsListener);
        }
    }

    public final void LIZ(int i, String str, String str2, Integer num, Integer num2, OC4<InfoStickerListResponse> oc4) {
        OC4<InfoStickerListResponse> oc42 = oc4;
        if (this.LJ.LIZIZ == null) {
            oc42.onFail(null, new Q60(-1));
            return;
        }
        Q6H effectPlatform = this.LJ.LIZIZ.getEffectPlatform();
        String str3 = str;
        String str4 = str2;
        M12.LIZ(str3, str4);
        Q7a LIZIZ2 = effectPlatform.LIZIZ();
        M12.LIZ(str3, str4);
        String LIZ2 = Q8W.LIZ.LIZ();
        if (oc42 != null) {
            LIZIZ2.LIZ.LJJIJL.LIZ(LIZ2, oc42);
        }
        Q7K q7k = new Q7K(LIZIZ2.LIZ, i, str3, str4, num, num2, LIZ2);
        Q6y q6y = LIZIZ2.LIZ.LJJIFFI;
        if (q6y != null) {
            q6y.LIZ(q7k);
        }
    }

    public final void LIZ(String str, int i, int i2, int i3, String str2, String str3, Map<String, String> map, OC4<ProviderEffectModel> oc4) {
        if (this.LJ.LIZIZ != null) {
            Q7a LIZIZ2 = this.LJ.LIZIZ.getEffectPlatform().LIZIZ();
            String LIZ2 = Q8W.LIZ.LIZ();
            OC4<ProviderEffectModel> oc42 = oc4;
            if (oc42 != null) {
                LIZIZ2.LIZ.LJJIJL.LIZ(LIZ2, oc42);
            }
            Q6y q6y = LIZIZ2.LIZ.LJJIFFI;
            if (q6y != null) {
                String str4 = str2;
                q6y.LIZ(new Q7P(LIZIZ2.LIZ, LIZ2, str4, (String) null, i3, i2, i, map));
            }
        }
    }
}
